curl --request GET \
--url https://api.lbpay.example.com/v1/fx/quotes/{quoteId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lbpay.example.com/v1/fx/quotes/{quoteId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lbpay.example.com/v1/fx/quotes/{quoteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lbpay.example.com/v1/fx/quotes/{quoteId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lbpay.example.com/v1/fx/quotes/{quoteId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lbpay.example.com/v1/fx/quotes/{quoteId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lbpay.example.com/v1/fx/quotes/{quoteId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"quoteId": "qt_01J9Z3",
"status": "AVAILABLE",
"fromCurrency": "USD",
"toCurrency": "BRL",
"source": {
"currency": "USD",
"amount": "1000.00"
},
"destination": {
"currency": "BRL",
"amount": "5383.20"
},
"referenceRate": "5.44000000",
"rate": "5.39920000",
"spread": {
"percentage": "0.75",
"amount": {
"currency": "USD",
"amount": "7.50"
}
},
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"remittanceId": "<string>",
"externalId": "<string>",
"usage": "REMITTANCE",
"inventoryId": "<string>",
"inventoryExpiresAt": "2023-11-07T05:31:56Z"
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Get a quote
curl --request GET \
--url https://api.lbpay.example.com/v1/fx/quotes/{quoteId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lbpay.example.com/v1/fx/quotes/{quoteId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lbpay.example.com/v1/fx/quotes/{quoteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lbpay.example.com/v1/fx/quotes/{quoteId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lbpay.example.com/v1/fx/quotes/{quoteId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lbpay.example.com/v1/fx/quotes/{quoteId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lbpay.example.com/v1/fx/quotes/{quoteId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"quoteId": "qt_01J9Z3",
"status": "AVAILABLE",
"fromCurrency": "USD",
"toCurrency": "BRL",
"source": {
"currency": "USD",
"amount": "1000.00"
},
"destination": {
"currency": "BRL",
"amount": "5383.20"
},
"referenceRate": "5.44000000",
"rate": "5.39920000",
"spread": {
"percentage": "0.75",
"amount": {
"currency": "USD",
"amount": "7.50"
}
},
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"remittanceId": "<string>",
"externalId": "<string>",
"usage": "REMITTANCE",
"inventoryId": "<string>",
"inventoryExpiresAt": "2023-11-07T05:31:56Z"
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Quote details
Preço único para a remessa, igual para PREFUNDED e CREDIT. O valor recebido pelo beneficiário (destination) não depende da modalidade de funding. A única tarifa é o spread: rate = referenceRate × (1 − spread.percentage / 100).
"qt_01J9Z3"
AVAILABLE: pode ser usada até expiresAt. USED: consumida por uma remessa (REMITTANCE) ou por um Inventory Lot (INVENTORY). EXPIRED: venceu sem uso.
AVAILABLE, USED, EXPIRED USD BRL Valor em USD enviado pela MSB.
Show child attributes
Show child attributes
{ "currency": "USD", "amount": "1000.00" }
Valor exato em BRL que o beneficiário recebe.
Show child attributes
Show child attributes
{ "currency": "BRL", "amount": "5383.20" }
Taxa de referência de mercado sobre a qual o spread é calculado.
^[0-9]+(\.[0-9]{1,8})?$"5.44000000"
Taxa aplicada à remessa, já com o spread.
^[0-9]+(\.[0-9]{1,8})?$"5.39920000"
Spread de câmbio: única tarifa da remessa.
Show child attributes
Show child attributes
Remessa que usou a cotação; preenchido quando status = USED.
externalId da remessa ou do Inventory que usou a cotação.
Uso da cotação. REMITTANCE (padrão): usada por um withdrawal. INVENTORY: usada para criar um Inventory Lot (POST /v1/inventories). Usar a cotação na operação errada retorna QUOTE_USAGE_MISMATCH. Enum extensível.
REMITTANCE, INVENTORY Inventory Lot criado a partir da cotação; preenchido quando usage = INVENTORY e status = USED.
Somente usage = INVENTORY. Validade que o Inventory Lot terá se for criado com esta cotação. Não confundir com expiresAt, que é a validade da própria cotação.

